package com.ruoyi.app2.mapper;

import com.ruoyi.app2.domain.PostAppSeries;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 邮贝套系信息; 
 * 
 * @author huianan
 * @date 2023-02-11
 */
@Mapper
public interface PostAppSeriesMapper
{
    /**
     * 查询邮贝套系信息
     *
     * @param seriesId 邮贝套系信息主键
     * @return 邮贝套系信息
     */
    public PostAppSeries selectPostSeriesBySeriesId(Long seriesId);

    /**
     * 查询邮贝套系信息列表
     *
     * @param postSeries 邮贝套系信息
     * @return 邮贝套系信息集合
     */
    public List<PostAppSeries> selectPostSeriesList(PostAppSeries postSeries);

    /**
     * 新增邮贝套系信息
     *
     * @param postSeries 邮贝套系信息
     * @return 结果
     */
    public int insertPostSeries(PostAppSeries postSeries);

    /**
     * 修改邮贝套系信息
     *
     * @param postSeries 邮贝套系信息
     * @return 结果
     */
    public int updatePostSeries(PostAppSeries postSeries);

    /**
     * 删除邮贝套系信息
     *
     * @param seriesId 邮贝套系信息主键
     * @return 结果
     */
    public int deletePostSeriesBySeriesId(Long seriesId);

    /**
     * 批量删除邮贝套系信息
     *
     * @param seriesIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePostSeriesBySeriesIds(Long[] seriesIds);

}
