package com.ruoyi.app2.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.app2.domain.Publisher;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface PublishMapper extends BaseMapper<Publisher> {
    /**
     * 查询邮贝发行方信息
     *
     * @param publisherId 邮贝发行方信息主键
     * @return 邮贝发行方信息
     */
    public Publisher selectPostPublisherByPublisherId(Long publisherId);

    /**
     * 查询邮贝发行方信息列表
     *
     * @param postPublisher 邮贝发行方信息
     * @return 邮贝发行方信息集合
     */
    public List<Publisher> selectPostPublisherList(Publisher postPublisher);

    /**
     * 新增邮贝发行方信息
     *
     * @param postPublisher 邮贝发行方信息
     * @return 结果
     */
    public int insertPostPublisher(Publisher postPublisher);

    /**
     * 修改邮贝发行方信息
     *
     * @param postPublisher 邮贝发行方信息
     * @return 结果
     */
    public int updatePostPublisher(Publisher postPublisher);

    /**
     * 删除邮贝发行方信息
     *
     * @param publisherId 邮贝发行方信息主键
     * @return 结果
     */
    public int deletePostPublisherByPublisherId(Long publisherId);

    /**
     * 批量删除邮贝发行方信息
     *
     * @param publisherIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePostPublisherByPublisherIds(Long[] publisherIds);
}

