package com.ruoyi.app2.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.app2.domain.Publisher;

import java.util.List;

public interface IPublisherService extends IService<Publisher> {
    /**
     * 查询邮贝发行方信息
     *
     * @param publisherId 邮贝发行方信息主键
     * @return 邮贝发行方信息
     */
    public Publisher selectPostPublisherByPublisherId(Long publisherId);

    /**
     * 查询邮贝发行方信息列表
     *
     * @param postPublisher 邮贝发行方信息
     * @return 邮贝发行方信息集合
     */
    public List<Publisher> selectPostPublisherList(Publisher postPublisher);

    /**
     * 新增邮贝发行方信息
     *
     * @param postPublisher 邮贝发行方信息
     * @return 结果
     */
    public int insertPostPublisher(Publisher postPublisher);

    /**
     * 修改邮贝发行方信息
     *
     * @param postPublisher 邮贝发行方信息
     * @return 结果
     */
    public int updatePostPublisher(Publisher postPublisher);

    /**
     * 批量删除邮贝发行方信息
     *
     * @param publisherIds 需要删除的邮贝发行方信息主键集合
     * @return 结果
     */
    public int deletePostPublisherByPublisherIds(Long[] publisherIds);

    /**
     * 删除邮贝发行方信息信息
     *
     * @param publisherId 邮贝发行方信息主键
     * @return 结果
     */
    public int deletePostPublisherByPublisherId(Long publisherId);
}
