package com.ruoyi.app2.service;

import com.ruoyi.app2.domain.PostAppSeries;

import java.util.List;

/**
 * 邮贝套系信息Service接口
 *
 * @author ruoyi
 * @date 2023-03-10
 */
public interface PostAppSeriesService
{
    /**
     * 查询邮贝套系信息
     *
     * @param seriesId 邮贝套系信息主键
     * @return 邮贝套系信息
     */
    public PostAppSeries selectPostAppSeriesBySeriesId(Long seriesId);

    /**
     * 查询邮贝套系信息列表
     *
     * @param PostAppSeries 邮贝套系信息
     * @return 邮贝套系信息集合
     */
    public List<PostAppSeries> selectPostAppSeriesList(PostAppSeries PostAppSeries);

    /**
     * 新增邮贝套系信息
     *
     * @param PostAppSeries 邮贝套系信息
     * @return 结果
     */
    public int insertPostAppSeries(PostAppSeries PostAppSeries);

    /**
     * 修改邮贝套系信息
     *
     * @param PostAppSeries 邮贝套系信息
     * @return 结果
     */
    public int updatePostAppSeries(PostAppSeries PostAppSeries);

    /**
     * 批量删除邮贝套系信息
     *
     * @param seriesIds 需要删除的邮贝套系信息主键集合
     * @return 结果
     */
    public int deletePostAppSeriesBySeriesIds(Long[] seriesIds);

    /**
     * 删除邮贝套系信息信息
     *
     * @param seriesId 邮贝套系信息主键
     * @return 结果
     */
    public int deletePostAppSeriesBySeriesId(Long seriesId);
}
