package com.ruoyi.app2.service.impl;


import com.ruoyi.app2.mapper.PostAppSeriesMapper;
import com.ruoyi.app2.domain.PostAppSeries;
import com.ruoyi.app2.service.PostAppSeriesService;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class PostAppSeriesServiceImpl implements PostAppSeriesService {

    @Autowired
    private PostAppSeriesMapper PostAppSeriesMapper;

    /**
     * 查询邮贝套系信息
     *
     * @param seriesId 邮贝套系信息主键
     * @return 邮贝套系信息
     */
    @Override
    public PostAppSeries selectPostAppSeriesBySeriesId(Long seriesId)
    {
        return PostAppSeriesMapper.selectPostSeriesBySeriesId(seriesId);
    }

    /**
     * 查询邮贝套系信息列表
     *
     * @param
     * @return 邮贝套系信息
     */
    @Override
    public List<PostAppSeries> selectPostAppSeriesList(PostAppSeries postAppSeries)
    {
        return PostAppSeriesMapper.selectPostSeriesList(postAppSeries);
    }

    /**
     * 新增邮贝套系信息
     *
     * @param PostAppSeries 邮贝套系信息
     * @return 结果
     */
    @Override
    public int insertPostAppSeries(PostAppSeries PostAppSeries)
    {
        PostAppSeries.setCreateTime(DateUtils.getNowDate());
        return PostAppSeriesMapper.insertPostSeries(PostAppSeries);
    }

    /**
     * 修改邮贝套系信息
     *
     * @param
     * @return 结果
     */
    @Override
    public int updatePostAppSeries(PostAppSeries postAppSeries)
    {
        postAppSeries.setUpdateTime(DateUtils.getNowDate());
        return PostAppSeriesMapper.updatePostSeries(postAppSeries);
    }

    /**
     * 批量删除邮贝套系信息
     *
     * @param seriesIds 需要删除的邮贝套系信息主键
     * @return 结果
     */
    @Override
    public int deletePostAppSeriesBySeriesIds(Long[] seriesIds)
    {
        return PostAppSeriesMapper.deletePostSeriesBySeriesIds(seriesIds);
    }

    /**
     * 删除邮贝套系信息信息
     *
     * @param seriesId 邮贝套系信息主键
     * @return 结果
     */
    @Override
    public int deletePostAppSeriesBySeriesId(Long seriesId)
    {
        return PostAppSeriesMapper.deletePostSeriesBySeriesId(seriesId);
    }

}
