package com.ruoyi.app2.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.app2.domain.Publisher;
import com.ruoyi.app2.mapper.PublishMapper;
import com.ruoyi.app2.service.IPublisherService;
import com.ruoyi.common.utils.DateUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
public class PublisherImpl extends ServiceImpl<PublishMapper,Publisher> implements IPublisherService {
    @Autowired
    private PublishMapper publishMapper;
    /**
     * 查询邮贝发行方信息
     *
     * @param publisherId 邮贝发行方信息主键
     * @return 邮贝发行方信息
     */
    @Override
    public Publisher selectPostPublisherByPublisherId(Long publisherId)
    {
        return publishMapper.selectPostPublisherByPublisherId(publisherId);
    }

    /**
     * 查询邮贝发行方信息列表
     *
     * @param postPublisher 邮贝发行方信息
     * @return 邮贝发行方信息
     */
    @Override
    public List<Publisher> selectPostPublisherList(Publisher postPublisher)
    {
        return publishMapper.selectPostPublisherList(postPublisher);
    }

    /**
     * 新增邮贝发行方信息
     *
     * @param postPublisher 邮贝发行方信息
     * @return 结果
     */
    @Override
    public int insertPostPublisher(Publisher postPublisher)
    {
        postPublisher.setCreateTime(DateUtils.getNowDate());
        return publishMapper.insertPostPublisher(postPublisher);
    }

    /**
     * 修改邮贝发行方信息
     *
     * @param postPublisher 邮贝发行方信息
     * @return 结果
     */
    @Override
    public int updatePostPublisher(Publisher postPublisher)
    {
        postPublisher.setUpdateTime(DateUtils.getNowDate());
        return publishMapper.updatePostPublisher(postPublisher);
    }

    /**
     * 批量删除邮贝发行方信息
     *
     * @param publisherIds 需要删除的邮贝发行方信息主键
     * @return 结果
     */
    @Override
    public int deletePostPublisherByPublisherIds(Long[] publisherIds)
    {
        return publishMapper.deletePostPublisherByPublisherIds(publisherIds);
    }

    /**
     * 删除邮贝发行方信息信息
     *
     * @param publisherId 邮贝发行方信息主键
     * @return 结果
     */
    @Override
    public int deletePostPublisherByPublisherId(Long publisherId)
    {
        return publishMapper.deletePostPublisherByPublisherId(publisherId);
    }

}
